import request from '@/utils/request'

// 查询保养记录列表
export function listMaintenanceWork(query) {
	return request({
		url: '/device/maintenanceWork/list',
		method: 'get',
		params: query
	});
}

// 查询保养记录详细
export function getMaintenanceWork(orderId) {
	return request({
		url: '/device/maintenanceWork/' + orderId,
		method: 'get'
		});
}

// 新增保养记录
export function addMaintenanceWork(data) {
	return request({
		url: '/device/maintenanceWork',
		method: 'post',
		data: data
	});
}

// 修改保养记录
export function updateMaintenanceWork(data) {
	return request({
		url: '/device/maintenanceWork',
		method: 'put',
		data: data
	});
}

// 删除保养记录
export function delMaintenanceWork(orderId) {
	return request({
		url: '/device/maintenanceWork/' + orderId,
		method: 'delete'
	});
}
